# fortios_firewall_local_in_policy – Configure user defined IPv4 local-in policies in Fortinet’s FortiOS and FortiGate

New in version 2.8.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module is able to configure a FortiGate or FortiOS (FOS) device by allowing the user to set and modify firewall feature and local_in_policy category. Examples include all parameters and values need to be adjusted to datasources before usage. Tested with FOS v6.0.5

## Requirements

The below requirements are needed on the host that executes this module.

- fortiosapi>=0.9.8

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
firewall_local_in_policy dictionary | Default: null | Configure user defined IPv4 local-in policies.

action
string

Choices:
- accept
- deny

Action performed on traffic matching the policy .

| comments string |  | Comment.
| dstaddr list |  | Destination address object from available options.
|  | name string / required |  | Address name. Source firewall.address.name firewall.addrgrp.name.

ha_mgmt_intf_only
string

Choices:
- enable
- disable

Enable/disable dedicating the HA management interface only for local-in policy.

| intf string |  | Incoming interface name from available options. Source system.zone.name system.interface.name.
| policyid integer / required |  | User defined local in policy ID.
| schedule string |  | Schedule object from available options. Source firewall.schedule.onetime.name firewall.schedule.recurring.name firewall.schedule.group .name.
| service list |  | Service object from available options.
|  | name string / required |  | Service name. Source firewall.service.custom.name firewall.service.group.name.
| srcaddr list |  | Source address object from available options.
|  | name string / required |  | Address name. Source firewall.address.name firewall.addrgrp.name.

state
string

Choices:
- present
- absent

Deprecated
Starting with Ansible 2.9 we recommend using the top-level 'state' parameter.

Indicates whether to create or remove the object.

status
string

Choices:
- enable
- disable

Enable/disable this local-in policy.

host string |  | FortiOS or FortiGate IP address.

https
boolean

Choices:
- no
- yes ←

Indicates if the requests towards FortiGate must use HTTPS protocol.

password string | Default: "" | FortiOS or FortiGate password.

ssl_verify
boolean
added in 2.9

Choices:
- no
- yes ←

Ensures FortiGate certificate must be verified by a proper CA.

state
string
added in 2.9

Choices:
- present
- absent

Indicates whether to create or remove the object. This attribute was present already in previous version in a deeper level. It has been moved out to this outer level.

username string |  | FortiOS or FortiGate username.
vdom string | Default: "root" | Virtual domain, among those defined previously. A vdom is a virtual instance of the FortiGate that can be configured and used as a different unit.

## Notes

Note

- Requires fortiosapi library developed by Fortinet

- Run as a local_action in your playbook

## Examples

    - hosts: localhost
      vars:
       host: "192.168.122.40"
       username: "admin"
       password: ""
       vdom: "root"
       ssl_verify: "False"
      tasks:
      - name: Configure user defined IPv4 local-in policies.
        fortios_firewall_local_in_policy:
          host:  "{{ host }}"
          username: "{{ username }}"
          password: "{{ password }}"
          vdom:  "{{ vdom }}"
          https: "False"
          state: "present"
          firewall_local_in_policy:
            action: "accept"
            comments: "<your_own_value>"
            dstaddr:
             -
                name: "default_name_6 (source firewall.address.name firewall.addrgrp.name)"
            ha_mgmt_intf_only: "enable"
            intf: "<your_own_value> (source system.zone.name system.interface.name)"
            policyid: "9"
            schedule: "<your_own_value> (source firewall.schedule.onetime.name firewall.schedule.recurring.name firewall.schedule.group.name)"
            service:
             -
                name: "default_name_12 (source firewall.service.custom.name firewall.service.group.name)"
            srcaddr:
             -
                name: "default_name_14 (source firewall.address.name firewall.addrgrp.name)"
            status: "enable"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
build string | always | Build number of the fortigate image Sample: 1547
http_method string | always | Last method used to provision the content into FortiGate Sample: PUT
http_status string | always | Last result given by FortiGate on last operation applied Sample: 200
mkey string | success | Master key (id) used in the last call to FortiGate Sample: id
name string | always | Name of the table used to fulfill the request Sample: urlfilter
path string | always | Path of the table used to fulfill the request Sample: webfilter
revision string | always | Internal revision number Sample: 17.0.2.10658
serial string | always | Serial number of the unit Sample: FGVMEVYYQT3AB5352
status string | always | Indication of the operation's result Sample: success
vdom string | always | Virtual domain used Sample: root
version string | always | Version of the FortiGate Sample: v5.6.3

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Miguel Angel Munoz (@mamunozgonzalez)

- Nicolas Thomas (@thomnico)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.